@ECHO OFF&PUSHD %~DP0 &TITLE 绿化卸载(小俊修改)
mode con cols=36 lines=20
color 2F
:Menu
Cls
@ echo.
@ echo.  菜单选项：
@ echo.     
@ echo.   1.绿化[必须]
@ echo.     
@ echo.   2.创建桌面图标
@ echo. 
@ echo.   3.设为默认音乐播放器
@ echo.            
@ echo.   4.卸载
@ echo.     
set /p xj= 输入数字按回车：
if /i "%xj%"=="1" Goto Install
if /i "%xj%"=="2" Goto Establish
if /i "%xj%"=="3" Goto Give
if /i "%xj%"=="4" Goto Uninstall
@ echo.
echo 　　 选择无效...请重新输入...
ping -n 2 127.1>nul 
goto menu
:Install
:: 安装前结束相关进程
@ echo.
echo  正在结束相关进程
taskkill /f /im KuGou*>NUL 2>NUL
taskkill /f /im Kadb* >NUL 2>NUL
taskkill /f /im KGUp*>NUL 2>NUL
taskkill /f /im New_KuGou*  >NUL 2>NUL
@ echo.
echo  正在绿化中，请稍等
::清理优化相关数据
taskkill /f /im KuGou*>NUL 2>NUL
taskkill /f /im Kadb* >NUL 2>NUL
taskkill /f /im KGUp*>NUL 2>NUL
taskkill /f /im New_KuGou*  >NUL 2>NUL
rd/s/q "%AppData%\KuGou8\Upgrade"    2>NUL
rd/s/q "%AppData%\KuGou8\Up"    2>NUL
rd/s/q "%AppData%\KuGou8\UpTemp"2>NUL
rd/s/q "%AppData%\KuGou8\Mobile"2>NUL
rd/s/q "%AppData%\KuGou8\AddIns"2>NUL
rd/s/q "%AppData%\KuGou8\AppStore"2>NUL
rd/s/q "%AppData%\KuGou8\SkinPic"2>NUL
rd/s/q "%AppData%\KuGou8\suitskin"2>NUL
rd/s/q "%AppData%\KuGou8\WebCache"2>NUL
rd/s/q "%AppData%\KuGou8\CefCache"2>NUL
rd/s/q "%AppData%\KuGou8\SingerImg"2>NUL
del /q "%AppData%\KuGou8\*.dmp">NUL 2>NUL
del /q "%AppData%\KuGou8\*.bak">NUL 2>NUL
del /q "%AppData%\KuGou8\Upgrade.ini">NUL 2>NUL
del /q "%AppData%\KuGou8\SingerImg">NUL 2>NUL
rd/s/q "%AppData%\KuGou8\FanxingAvatarRes"2>NUL
rd/s/q "%AppData%\KuGou8\WebStorage"2>NUL
del/f "%AppData%\KuGou8\kugou.ini">NUL 2>NUL
del/f "%tmp%\sadu.exe">NUL 2>NUL
del/f "%tmp%\KGUpdater.exe">NUL 2>NUL
del/f/q "%tmp%\NewUpKuGoo.exe">NUL 2>NUL
if not exist "%AppData%\KuGou8" md "%AppData%\KuGou8"2>NUL
xcopy /e/i/y ini\AppStore "%AppData%\KuGou8\AppStore">NUL 2>NUL
xcopy /e/i/y ini\KuGou8 "%AppData%\KuGou8">NUL 2>NUL
@ echo.
echo  绿化完成，请尽情使用吧
ping -n 2 140.1>nul
goto menu
:Establish
@ echo.
echo  正在创建桌面图标，请稍等
ping -n 2 127.1>nul
mshta VBScript:Execute("Set a=CreateObject(""WScript.Shell""):Set b=a.CreateShortcut(a.SpecialFolders(""Desktop"") & ""\酷狗音乐.lnk""):b.TargetPath=""%~dp0KuGou.exe"":b.WorkingDirectory=""%~dp0"":b.Save:close")
@ echo.
echo  已创建桌面图标，请尽情使用吧
ping -n 2 140.1>nul
goto menu
:Give
@ echo.
echo  正在设置为默认音乐播放器，请稍等
ping -n 2 127.1>nul
KuGou.exe -DoAssoc
@ echo.
echo  已设置为默认音乐，请尽情使用吧
ping -n 2 140.1>nul
goto menu
:Uninstall
:: 卸载前结束相关进程
@ echo.
echo  正在结束相关进程
taskkill /f /im KuGou*>NUL 2>NUL
taskkill /f /im Kadb* >NUL 2>NUL
taskkill /f /im KGUp*>NUL 2>NUL
taskkill /f /im New_KuGou*  >NUL 2>NUL
@ echo.
echo  正在卸载中，请稍等
::清理相关数据
taskkill /f /im KuGou*>NUL 2>NUL
taskkill /f /im Kadb* >NUL 2>NUL
taskkill /f /im KGUp*>NUL 2>NUL
rd /s /q "%AppData%\KuGou8" >NUL 2>NUL
rd /s /q "%AppData%\KGDataBak">NUL 2>NUL
KuGou.exe -CancelAssoc
rd /s /q "%AppData%\KugooRadio">NUL 2>NUL
reg delete HKCU\Software\KuGou8 /F>NUL 2>NUL
reg delete HKLM\Software\KuGou8 /F>NUL 2>NUL
reg delete HKLM\Software\Wow6432Node\KuGou8 /F>NUL 2>NUL
del "%tmp%\Start*">NUL 2>NUL&del "%tmp%\Http*">NUL 2>NUL
rd/s/q "%AppData%\KUGOU8"2>NUL
del /f /q "%userprofile%"\Desktop\酷狗音乐.lnk >NUL 2>NUL
del /q "%userprofile%\桌面\酷狗音乐.lnk" >NUL 2>NUL
@ echo.
echo  卸载完成，欢迎再次使用 
ping -n 2 140.1>nul
goto menu